Loading...
Searching...
No Matches
oval_collection.c File Reference

Open Vulnerability and Assessment Language. More...

`#include <stdlib.h>`
`#include <stdio.h>`
`#include "oval_adt.h"`
`#include "oval_collection_impl.h"`
`#include "common/util.h"`
Include dependency graph for oval_collection.c:

## Data Structures

struct | _oval_collection_item_frame
struct | oval_collection
struct | oval_iterator

## Typedefs

typedef struct _oval_collection_item_frame | _oval_collection_item_frame_t
typedef struct oval_collection | oval_collection_t
typedef struct oval_iterator | oval_iterator_t

## Functions

struct oval_collection * | oval_collection_new ()
void | oval_collection_free (struct oval_collection *collection)
void | oval_collection_free_items (struct oval_collection *collection, oscap_destruct_func free_func)
int | oval_collection_is_empty (struct oval_collection *collection)
void | oval_collection_add (struct oval_collection *collection, void *item)
struct oval_iterator * | oval_collection_iterator (struct oval_collection *collection)
bool | oval_collection_iterator_has_more (struct oval_iterator *iterator)
int | oval_collection_iterator_remaining (struct oval_iterator *iterator)
void * | oval_collection_iterator_next (struct oval_iterator *iterator)
void | oval_collection_iterator_free (struct oval_iterator *iterator)
struct oval_iterator * | oval_collection_iterator_new ()
void | oval_collection_iterator_add (struct oval_iterator *iterator, void *item)
bool | oval_string_iterator_has_more (struct oval_string_iterator *iterator)
int | oval_string_iterator_remaining (struct oval_string_iterator *iterator)
char * | oval_string_iterator_next (struct oval_string_iterator *iterator)
void | oval_string_iterator_free (struct oval_string_iterator *iterator)

## Detailed Description

Open Vulnerability and Assessment Language.

See more details at http://oval.mitre.org/